# XSLTParam

Class that holds an XSLT parameter.

package | phing.filters

### Methods

## Returns expression value -- performs lookup if expr is registerslot.

    getExpression() : string

### Response

`string`

## Get param name.

    getName() : string

### Response

`string`

## Gets expression value (alias to the getExpression()) method.

    getValue() : string

see | \XSLTParam::getExpression()

### Response

`string`

## Sets expression value.

    setExpression(string $expr)

### Arguments

#### $expr

`string`

## Sets expression to dynamic register slot.

    setListeningExpression(\RegisterSlot $expr)

### Arguments

#### $expr

`\RegisterSlot`

## Sets param name.

    setName(string $name)

### Arguments

#### $name

`string`

## Sets expression value (alias to the setExpression()) method.

    setValue(string $v)

see | \XSLTParam::setExpression()

### Arguments

#### $v

`string`

### Properties

## name

    name :

### Type(s)

``

## expr

    expr : \RegisterSlot

var |

### Type(s)

`\RegisterSlot`